/* stylelint-disable at-rule-name-space-after */

.frame-list {
	height: 100%;
	overflow-x: hidden;
}

.frame-list-title {
	font-size: 1.2em;
}

.frame-list-item {
	background-color: $blue-lighter;
}

.frame-list-item + .frame-list-item {
	margin-top: 5px;
}

.frame-list-item-header {
	font-size: 1.1em;
	font-weight: bold;
	margin: 0;
	padding: 7px;
	transition: background-color $default-transition-time;

	&:hover {
		cursor: pointer;
	}

	&:hover,
	&.active {
		background-color: rgba(0, 0, 0, 0.03);
	}
}

.frame-list-item-toggle-indicator,
.frame-list-item-interested {
	@include td-float(right);
	font-size: small;
	opacity: 0.6;
}

.frame-list-item-interested {
	@include td-margin(right, 20px);
}

.frame-list-item-time {
	@include td-margin(right, 10px);
	font-weight: normal;
}

.frame-list-item-region {
	font-size: 0.8em;
	margin-left: 5px;
}

.frame-list-item-body {
	padding: 7px;
}

.frame-list-item-property {
	@include make-row;
}

.frame-list-item-label {
	@include td-make-xs-column(4);
	font-weight: bold;

	@media (min-width: $screen-xsm) {
		@include td-make-xs-column(2);
	}
}

.frame-list-item-content {
	@include td-make-xs-column(8);

	@media (min-width: $screen-xsm) {
		@include td-make-xs-column(10);
	}
}

.frame-list-item-description > .frame-list-item-label,
.frame-list-item-description > .frame-list-item-content {
	@media (max-width: $screen-xs) {
		@include make-xs-column(12);
	}
}

.frame-list-item-links {
	margin-top: 10px;
}

.frame-list-item-links > a,
.frame-list-item-links > a:hover,
.frame-list-item-links > a:focus {
	border-color: inherit;
	border-style: solid;
	border-width: 1px;
	color: inherit;
}

.frame-list-item-links > a:hover {
	cursor: pointer;
}

.frame-list-item-links > a {
	display: block;

	@media (min-width: $screen-xxs) {
		display: inline-block;
	}
}

.frame-list-item-links > a + a {
	margin-top: 10px;

	@media (min-width: $screen-xxs) {
		@include td-margin(left, 5px);
		margin-top: 0;
	}
}

.show-more {
	margin-top: 10px;
	text-align: center;
}

.frame-list-free-seats {
	@include td-float(right);
	display: inline-block;
	font-family: var(--bs-body-font-family);
	font-weight: normal;
	margin-right: 15px;
	position: relative;
	text-align: right;
}

.frame-list-item-header > i {
	margin-top: 2px;
	opacity: 0.6;
}

.frame-list-free-seats-tooltip-text {
	background-color: #555;
	border-radius: 6px;
	bottom: 125%;
	color: #fff;
	left: 50%;
	margin-left: -80px;
	margin-top: -200px;
	opacity: 0;
	padding: 5px 0;
	position: absolute;
	text-align: center;
	transition: opacity 0.3s;
	visibility: hidden;
	width: 120px;
	z-index: 1;
}

.frame-list-free-seats:hover .frame-list-free-seats-tooltip-text {
	opacity: 1;
	visibility: visible;
}
